Bug 887303 - Change default networking type to virtio
Change default networking type to virtio
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
high Severity high
: rc
: 2.1
Assigned To: Alan Pevec
Ofer Blaut
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-14 10:52 EST by Perry Myers
Modified: 2016-04-26 21:53 EDT (History)
6 users (show)

See Also:
Fixed In Version: openstack-nova-2012.2.2-1.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 865345
Environment:
Last Closed: 2013-01-30 16:07:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 904480 None None None Never

  None (edit)
Description Perry Myers 2012-12-14 10:52:23 EST
This bug is a temporary workaround for RHOS 2.1 release until a longer term solution can be implemented to use virtio drivers as part of bug # 865345

The global default for NIC should be changed to e1000 from rtl.  This will provide better performance, at the expense of support for Windows XP guests (which is out of support anyhow)

In a future release we would ideally use a combination of libosinfo and libguestfs to determine based on the image type (storage as image metadata in glance perhaps) and based on whether or not the correct drivers are installed (via libguestfs probing) which network driver to optimally use.
Comment 1 Nikola Dipanov 2012-12-14 12:24:57 EST
This seems to be a tweak in the nova.conf that comes with our rpms.

Assigning to Martin to do the nova.conf we ship as a SOURCE in our RPMs.
Comment 2 Daniel Berrange 2012-12-17 05:10:52 EST
Given that Nova already hardcodes use of virtio for disks, defaulting to virtio for networking too leaves us no worse off in terms of guest OS compat. This should also be done upstream, not in a RH specific patch.
Comment 3 Daniel Berrange 2012-12-17 10:34:15 EST
Changing subject from e1000 to virtio, on the basis that we already have a hardcoded requirement for virtio.
Comment 4 Perry Myers 2012-12-17 10:36:27 EST
(In reply to comment #2)
> Given that Nova already hardcodes use of virtio for disks, defaulting to
> virtio for networking too leaves us no worse off in terms of guest OS
> compat. This should also be done upstream, not in a RH specific patch.

Re: virtio for disks, I filed bug # 887910 to track that separately.

I agree though, that unless we address the block device issue, it makes no sense to address the NIC issue.

Also agree wrt upstream.  If we're going to change the defaults in RHOS, they should be changed in Fedora/EPEL OpenStack as well.
Comment 5 Daniel Berrange 2012-12-17 10:42:13 EST
Patch posted upstream to default to virtio for KVM/QEMU

https://review.openstack.org/#/c/18233/
Comment 6 Perry Myers 2012-12-17 12:27:07 EST
We'll take danpb's patch in Comment #5 to make the default virtio NICs, but accelerate fix to allow manual override of the drivers on a per guest basis so that we allow for images that don't have virtio drivers.  That will become the focus of bug # 865345
Comment 10 Ofer Blaut 2013-01-17 03:49:35 EST
Tests on openstack-nova-network-2012.2.2-5.el6ost.noarch

Default Nic is virtio  ( checked both on lspci on VM and qeum on host )
Comment 11 Alan Pevec 2013-01-18 10:49:03 EST
*** Bug 901596 has been marked as a duplicate of this bug. ***
Comment 15 errata-xmlrpc 2013-01-30 16:07:37 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0208.html

Note You need to log in before you can comment on or make changes to this bug.